Package org.apache.sling.cms.core.internal.rewriter

## Class ReferenceMappingTransformerFactory

- java.lang.Object
- - org.apache.sling.cms.core.internal.rewriter.ReferenceMappingTransformerFactory

All Implemented Interfaces:
  `org.apache.sling.rewriter.TransformerFactory`

    public class ReferenceMappingTransformerFactory
    extends Object
    implements org.apache.sling.rewriter.TransformerFactory

A TransformerFactory service instance for creating a Transformer to rewrite all of the links, images, etc which reference other content in the Sling repository.

### Constructor Summary

Constructors
`ReferenceMappingTransformerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(ReferenceMappingTransformerConfig config)`
`org.apache.sling.rewriter.Transformer` `createTransformer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceMappingTransformerFactory

    public ReferenceMappingTransformerFactory()

### Method Detail

#### activate

    public void activate​(ReferenceMappingTransformerConfig config)

#### createTransformer

    public org.apache.sling.rewriter.Transformer createTransformer()

Specified by:
  `createTransformer` in interface `org.apache.sling.rewriter.TransformerFactory`